Cursos Servidores con Centos
Sistema Operativo ALDOS

Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

 Índice > Todo acerca de Linux > Misceláneos Nuevo tema Publicar Respuesta
 problemas con flash player en centos 4.7
Tema anterior Tema siguiente
   
carlos bazan
Publicado en 12/05/09 07:38 (Leído 5553 veces)  

Nuevo
Forum User

Inscrito: 12/05/09 Publicaciones: 11
hola amigos soy nuevo en este foro y en esto de linux
bueno tengo una pregunta, no se si sera ridicula pero es que como dije soy algo nuevo en esto.
trate de instalar el flash player 10 y pues lo baje de la pagina de adobe y la vercion disponible en RPM es esta flash-plugin-10.0.22.87-release.i386.rpm y me da el sigiente error:

error: Error de dependencias:
glibc >= 2.4 se necesita para flash-plugin-10.0.22.87-release.i386

supongo que no puedo instalr el glibc 2.4 en la vercion CentOS 4.7 asi que tratae de buscar una vercion de flash algo antigua pero no la encontre.
Algien por favor que me pueda ayudar a resolver esto??
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 12/05/09 09:03  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1761
País:Mexico
Instalalo con:

yum localinstall flash-plugin-10.0.22.87-release.i386.rpm

Lo anterior te instalará el paquete junto con compat-libstdc++-33, que está incluido en los depósitos de CentOS 4.x. También puedes instalar directo con yum compat-libstdc++-33 y luego el paquete de flash-plugin con el mandato rpm.
 
Perfil Sitio Web
 Citar
carlos bazan
Publicado en 12/05/09 11:15  

Nuevo
Forum User

Inscrito: 12/05/09 Publicaciones: 11
mmm sale el mismo error


Setting up Local Package Process
Examining flash-plugin-10.0.22.87-release.i386.rpm: flash-plugin - 10.0.22.87-release.i386
Marking flash-plugin-10.0.22.87-release.i386.rpm to be installed
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package flash-plugin.i386 0:10.0.22.87-release set to be updated
--> Running transaction check
Setting up repositories
Reading repository metadata in from local files
--> Processing Dependency: glibc >= 2.4 for package: flash-plugin
--> Finished Dependency Resolution
Error: Missing Dependency: glibc >= 2.4 is needed by package flash-plugin


no entiendo por que
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 13/05/09 01:54  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1761
País:Mexico
Tienes razón, acabo de corroborar. Se trata de una limitación de esa versión de Flash que pide usar GLIBC-2.4. La versión 10 ya no se puede instalar en CentOS 4, debido a que ésta utiliza GLIBC-2.3. Flash 10 solo funciona con distribuciones basadas sobre LSB 3.1 y posteriores (CentOS 5).

CentOS 4 usa el LSB 3.0.

NOTA: LSB = Linux Standard Base.
 
Perfil Sitio Web
 Citar
carlos bazan
Publicado en 13/05/09 07:33  

Nuevo
Forum User

Inscrito: 12/05/09 Publicaciones: 11
y me podrias decir como consigo una vercion anterior de flash?
o mejor como desde consola puedo actualizar a centos 5??
por que ahora tengo otro problema pero con el mplayer.

--> Processing Dependency: libFLAC.so.7 for package: libsndfile
--> Finished Dependency Resolution
Error: Missing Dependency: libFLAC.so.7 is needed by package libsndfile


tengo este error cuando lo quiero inatalar y tampoco puedo instalar el VLP estoy como loco nada me funciona aqui solo el java y el winrar, esto es de verdad frustrante Fruncido Fruncido Fruncido
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 13/05/09 03:26  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1761
País:Mexico
Lamentablemente Adobe no distribuye versiones anteriores.

El paquete de Mplayer te manda esos mensajes al tratar de instalarlo porque fue compilado para otra versión de GNU/Linux (muy seguramente Fedora).

Me llama la atención de que quieres utilizar componentes comúnmente utilizados en escritorio sobre CentOS 4. Toma en consideración que CentOS 4.x es un SO diseñado para ser utilizado en servidores y definitivamente tendrás este tipo de limitaciones si pretendes usarlo como escritorio, a menos que compiles tu mismo desde los fuentes componentes como mplayer y todas sus dependencias.

¿Es un servidor en producción o es una PC de escritorio? Si es un servidor en producción, conviene dejes el sistema como está. Si es una PC de escritorio, puedes actualizar a CentOS 5 editando /etc/redhat-release y ejecutando yum -y upgrade o instalar desde cero CentOS 5. Si lo que quieres es un sistema operativo para escritorio, utiliza Fedora (+ depósitos de RPMFusion.org) o Ubuntu.
 
Perfil Sitio Web
 Citar
carlos bazan
Publicado en 13/05/09 07:49  

Nuevo
Forum User

Inscrito: 12/05/09 Publicaciones: 11
la verdad es que es una tarea para la universidad
me amndaron a hacer un servidor proxy que controle a clirntes colgadas a traves de una antena wifi.
te explico como va esto.

tengo una antena omnidirecional de 18 dbi. un conectado a un AP(acces point) de 200 y el cable utp que sale del AP baja hata un tarjeta de de red de esta computadora y tiene que aber otra tarjeta de red con un cable utp que balla a un router que tenga salida a internet asi yo controlo la red inalambrica filtrnado usuarios a traves de ips y direcciones mac.

no se si sera muicha molestia (creo que ya te devo caer muy molesto) pero me podrias ayudar en eso?? es el proyecto de fin de siclo para el curso de redes.

ha y me anime por este SO por que un amigo en la red me lo recomendo me dijo que era el mas potente.

en conclucion a lo que tu me dijiste no vuelvo a tocar el SO.

gracias por tus respuestas has sido de grana lluda.
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 14/05/09 06:09  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1761
País:Mexico
Definitivamente CentOS es un SO potente para servidores, de hecho también lo recomiendo, aunque defintivamente te recomiendo optar por la versión 5.3. La versión que esas utilizando solo podrías utilizarla como un magnifico servidor pero con funciones limitadas como escritorio.

En la sección de manuales de este sitio encontrarás lo que requieres para montar un servidor proxy con Squid y Shorewall como cortafuegos con CentOS 5.3. Prácticamente todos los manuales de este sitio los basamos sobre CentOS 5.3.
 
Perfil Sitio Web
 Citar
carlos bazan
Publicado en 14/05/09 08:40  

Nuevo
Forum User

Inscrito: 12/05/09 Publicaciones: 11
estube viendo los manuales
el de servidor proxy hace filtrados a ciertos IPs pero si yo kiero ademas de IPs hacer el filtrado por dicecciones mac y IPs como haria eso??


PD: te agradeceria mucho que me dieras el vinculo de donde pueda descargar el centos 5.3
 
Perfil
 Citar
Gabriel Ramos
Publicado en 15/05/09 12:31  

Nuevo
Forum User

Inscrito: 24/05/07 Publicaciones: 13
Hola, Calicali.

Puedes bajar la(s) imagen(es) en la siguiente dirección:

http://mirrors.kernel.org/centos/5.3/isos/i386/

Puedes guiarte en la instalación del manual que publicó Joel en la sección de manuales:

http://www.alcancelibre.org/staticpages/index.php/como-centos5-grafico

En esta liga existen otros tutoriales sobre CentOS; quiza encuentres también información que te ayude en tu trabajo final.

http://www.howtoforge.com/howtos/linux/centos

Espero que con esta información puedas sacar adelante tu proyecto.

¡Suerte!

Atentamente,
Gabriel
 
Perfil
 Citar
Joel Barrios Dueñas
Publicado en 15/05/09 05:47  

Admin
Site Admin

Inscrito: 17/02/07 Publicaciones: 1761
País:Mexico
Fácil... Lee http://www.alcancelibre.org/staticpages/index.php/como-squid-arp. En resumen:

acl nombre-lista arp "/etc/archivo/con/lista/macaddress"
http_acccess allow nombre-lista

El único detalle es que necesitas utilizar el paquete de squid que está en http://www.alcancelibre.org/al/server/5/RPMS.al. El paquete de squid que incluye CentOS y la mayoría de las distribuciones, no incluye soporte para direcciones Mac (a menos que recompiles). Instala el paquete de ese URL y tendrás Squid con soporte para direcciones Mac.
 
Perfil Sitio Web
 Citar
Contenido generado en: 0,16 segundos Nuevo tema Publicar Respuesta
 Todas las horas son UTC. Hora actual 05:29 .
Tema normal Tema normal
Tema persistente Tema persistente
Tema cerrado Tema cerrado
Nueva publicación Nueva publicación
Persistente con nueva publicación Persistente con nueva publicación
Cerrado con nueva publicación Cerrado con nueva publicación
Ver publicaciones anónimas 
Usuarios anónimos pueden publicar 
Se permite HTML Filtrado 
Contenido censurado